#ifndef SCREEM_PREF_DIALOG_H
#define SCREEM_PREF_DIALOG_H

#include <gtk/gtkdialog.h>

#define SCREEM_TYPE_PREF_DIALOG  (screem_pref_dialog_get_type())
#define SCREEM_PREF_DIALOG(obj)  (G_TYPE_CHECK_INSTANCE_CAST( ( obj ), SCREEM_TYPE_PREF_DIALOG, \
                                                ScreemPrefDialog ) )
#define SCREEM_PREF_DIALOG_CLASS(klass)  (G_TYPE_CHECK_CLASS_CAST( ( klass ), \
                                                             SCREEM_TYPE_PREF_DIALOG, \
                                                             ScreemPrefDialogClass ) )
#define SCREEM_IS_PREF_DIALOG(obj)  (G_TYPE_CHECK_INSTANCE_TYPE( ( obj ), SCREEM_TYPE_PREF_DIALOG ) )

typedef struct ScreemPrefDialogPrivate ScreemPrefDialogPrivate;

typedef enum {
	SCREEM_PREF_TOGGLE,
	SCREEM_PREF_RADIO,
	SCREEM_PREF_SPIN,
	SCREEM_PREF_COLOUR,
	SCREEM_PREF_STRING
} ScreemPrefNotifyType;

typedef struct {
	GtkDialog parent;

	ScreemPrefDialogPrivate *priv;
} ScreemPrefDialog;

typedef struct {
	GtkDialogClass parent_class;

	void (*pref_changed)( ScreemPrefDialog *dialog, const gchar *key,
				gpointer value );
	
} ScreemPrefDialogClass;

GType screem_pref_dialog_get_type( void );
ScreemPrefDialog *screem_pref_dialog_new( void );

ScreemPrefDialog *screem_pref_dialog_new_with_logo( GdkPixbuf *pixbuf );

void screem_pref_dialog_add_page( ScreemPrefDialog *dialog,
				const gchar *category,
				const gchar *name,
				GtkWidget *child );
void screem_pref_dialog_add_page_with_stock( ScreemPrefDialog *dialog,
					const gchar *category,
					const gchar *name,
					const gchar *stock_id,
					GtkWidget *child );

void screem_pref_dialog_add_pref( ScreemPrefDialog *dialog,
				const gchar *key,
				ScreemPrefNotifyType type,
				gint value,
				GtkWidget *widget );

#endif
